<?php
function my_theme_enqueue_styles() { 
    wp_enqueue_style( 'parent-style', get_template_directory_uri() . '/style.css' );
}
add_action( 'wp_enqueue_scripts', 'my_theme_enqueue_styles' ); 

// Register our own function so it gets called when WordPress fires the filter
add_filter('register_post_type_args', 'dp_register_post_type_args', 10, 2);
function dp_register_post_type_args($args, $post_type) {

	// Check if the filter is fired for the projects post type. If not, we have nothing to do
	if ('project' !== $post_type) {
		return $args;
	}

	// Now that we are sure that we are changing the projects, alter the labels
	$new_plural_name = "Projekt";
	$new_singular_name = "Projekt";
	$new_slug = "projekt";

	$args['labels']['name'] = $new_plural_name;
	$args['labels']['singular_name'] = $new_singular_name;
	$args['labels']['menu_name'] = $new_plural_name;
	$args['labels']['name_admin_bar'] = $new_singular_name;
	$args['labels']['add_new_item'] = 'Lägg till ny ' . $new_singular_name;
	$args['labels']['edit_item'] = 'Redigera ' . $new_singular_name;
	$args['labels']['view_item'] = 'Visa ' . $new_singular_name;
	$args['labels']['search_items'] = 'Sök ' . $new_plural_name;
	$args['labels']['all_items'] = 'Alla ' . $new_plural_name;
	$args['rewrite']['slug'] = $new_slug;

	// Flushing the rewrite rules should make sure that you don't have to re-save your permalink structure
	flush_rewrite_rules();

	// Finally return or altered labels
	return $args;
} 
?>
